Subject: Re: What's cooking in git.git (Apr 2025, #01; Mon, 7)

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Apr 2025 09:01:18 -0700

Philippe Blain <[email-masked]> writes:

> Hi Junio,
>
> Le 2025-04-07 à 12:49, Junio C Hamano a écrit :
>
>> * pb/status-rebase-fixes (2025-03-28) 4 commits
>>  - wt-status: suggest 'git rebase --continue' to conclude 'merge' instruction
>>  - wt-status: also abbreviate 'merge' and 'fixup -C' lines during rebase
>>  - SQUASH??? - <[email-masked]>
>>  - rebase -r: do create merge commit after empty resolution
>> 
>>  A few fixes around "git status" while "git rebase" is running.
>
> Note: the first commit is really a 'git rebase' fix, and does not concern
> 'git status' at all. I think this should be mentioned in the release notes,
> or if you prefer I could split it into a separate series.

Thanks.

    ... plus a corner case fix for "git rebase -r".

tucked at the end of the sentence would probably be good enough?

>>  Comments?  It probably deserves a clarifying reroll.
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
>
> Yes, I will address the reviewer feedback and send a new version.

Thanks, again.